xquery version "3.1";

declare namespace tei="http://www.tei-c.org/ns/1.0";
declare option exist:serialize "method=xhtml media-type=text/html";
declare variable $page-title := "Unsere Autoren";

(: <html>
    <head>
        <meta HTTP-EQUIV="Content-Type" content="text/html; charset=UTF-8"/>
        <title>{$page-title}</title>
    </head>
    <body>
        <h1>{$page-title}</h1>
        <ul>
            {
                let $text-collection := "/db/apps/sade/textgrid/data/"
                for $resource-name in xmldb:get-child-resources($text-collection)
                return <li>{$resource-name}</li>
            }
        </ul>
    </body>
</html> :)

declare function local:get-all-texts
    () as node()* {
    for $text in collection('/db/apps/sade/textgrid/data/')
    let $title := $text//tei:teiHeader//tei:titleStmt//tei:title[@level = 'a']
    let $hasTitle := count($title) > 0
    return if( $hasTitle ) then (
                $text
            ) else ()
};

declare function local:list-item
    ( $text as node() ) as item() {
    let $uri := base-uri($text)
    let $title := $text//tei:teiHeader//tei:titleStmt//tei:title[@level = 'a']
    return
        <li data-uri="{$uri}">{ 
            data($title) 
        }</li>
};




<html>
   <head>
        <meta HTTP-EQUIV="Content-Type" content="text/html; charset=UTF-8"/>
        <title>{$page-title}</title>
    </head>
    <body>
        <ul>
        {
            for $t in local:get-all-texts()
            return local:list-item( $t )   
        }
            
        </ul>
    </body>
</html>
    
    (:<html>
        <head>
            <meta HTTP-EQUIV="Content-Type" content="text/html; charset=UTF-8"/>
            <title>{$page-title}</title>
        </head>
        <body>
            <h1>{$page-title}</h1>
            <ul>
            {
                return
                    <li>{$text-info}</li>
            }
            </ul>
        </body>
    </html>
    :)